Bug 1018875 - PreferredMode ignored with SNA
PreferredMode ignored with SNA
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 11:03 EDT by Lionel Le Folgoc
Modified: 2015-06-29 08:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:38:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 841696 None None None Never

  None (edit)
Description Lionel Le Folgoc 2013-10-14 11:03:10 EDT
Hi,

Description of problem:
The "PreferredMode" directive from xorg.conf/xorg.conf.d is ignored when the SNA acceleration method is used.
It's fine when UXA is used (but UXA doesn't provide a tearfree experience unfortunately ;-).

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.21.12-1.fc18.i686
(this should affect fc19/fc20/fc21 as well)

How reproducible:
Always

Steps to Reproduce:
1. Add a PreferredMode to xorg.conf (with e.g. a lower resolution than the monitor's native one).
2. Set SNA as default acceleration method in xorg.conf.
3. Restart X.

Actual results:
The resolution used is still the monitor's preferred (native) one, not the one from xorg.conf.

Expected results:
The value from "PreferredMode" is used (as with UXA).

Additional info:
This has been fixed in the following upstream commit 8f54e9d3:
  sna: Check OPTION_PREFERRED_MODE rather than M_T_USERPREF

  During the intial KMS probe, we do not yet have the list of output
  modes, and in particular do not have the list of user preferred modes.
  So, in order to honour the user preferrence, we need to query for any
  preferred mode on the output from the option list.

<http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=8f54e9d3c43c04be0d405a94ae5a9d8fe8f8d75b>

The patch almost applies cleanly on 2.21.12, and seems to work fine here.
Thanks.
Comment 1 Felix Miata 2013-10-21 02:50:32 EDT
I don't need to set SNA for this to happen in F19. It simply happens.
More info:
https://bugs.freedesktop.org/show_bug.cgi?id=69903
https://bugzilla.novell.com/show_bug.cgi?id=841696
Comment 2 Fedora End Of Life 2013-12-21 09:40:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Lionel Le Folgoc 2014-01-22 10:01:26 EST
Also happens in fc20 (since the commit is not part of any stable release yet, only in the 2.99.x series which will become 3.0 when it's ready).
Comment 4 Fedora End Of Life 2015-05-29 05:34:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:38:15 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.